mod svg;

use crate::font::{Glyph, GlyphHeader, GlyphPoint, SplineElement};

use log::debug;
pub use svg::SvgWriter;

pub trait Visitor {
	fn write_prefix(&mut self, header: &GlyphHeader);
	fn write_point(&mut self, point: &SplineElement);
	fn write_suffix(&mut self);

	fn write(&mut self, glyph: &Glyph) {
		self.write_prefix(&glyph.header);

		glyph.splines().unwrap().for_each(|spline_element| {
			debug!("{spline_element:#?}");
			self.write_point(&spline_element)
		});

		self.write_suffix();
	}
}
